#include <iostream>
#include "nicai/xml/stream.h"

// This is the most light weight interface! Just output xml code....

void test()
{
  using namespace nicai;

  xml::oxmlstream xout(std::cout);

  xout << xml::document();
  xout << xml::tag("A");
  xout << xml::comment("demonstration");
  xout << xml::tag("B") << xml::text("some c++ code: if (a<b && b>c) return b;") << xml::endtag();
  xout << xml::tag("C") << xml::attribute("x", "1") << xml::endtag();

  xout << xml::endtag();
  xout << xml::enddocument();
}

int main(int argc, char * argv[])
{
  test();
}
