/*****************************************************************************
   file         : $Id: schematypes.h,v 1.1 2006/09/07 14:06:25 nils Exp $
   description  : forward declarations for xml system
   ------------------------------------------------------------------------

   copyright    : (C) 2006 by Nils Springob, Aachen, GERMANY
   email        : nils.springob@nicai-systems.de
   project      : nicai-systems library

 *****************************************************************************/

#ifndef _NICAI_XML_SCHEMATYPES_H_
#define _NICAI_XML_SCHEMATYPES_H_

#include <string>
#include "nicai/xml/element.h"

namespace nicai {
namespace xml {

namespace schema {

typedef std::string xstring;
typedef bool xboolean;
typedef long xdecimal;
typedef float xfloat;
typedef double xdouble;

}

typedef property<schema::xstring> xstring;
typedef property<schema::xboolean> xboolean;
typedef property<schema::xdecimal> xdecimal;
typedef property<schema::xfloat> xfloat;
typedef property<schema::xdouble> xdouble;

}
}

#endif
