#ifndef GENERATOR_H
#define GENERATOR_H

#include <iostream>

class generator_impl;

class generator
{
  private:
    std::auto_ptr<generator_impl> pimpl;
  public:
    generator(const std::string & basename);
    bool readXml();
    bool writeCode();
    ~generator();
};

void generate(std::istream & in, std::ostream & cpp, std::ostream & hpp);

#endif // GENERATOR_H
